# $Revision: 1.20 $, $Date: 2005/11/20 16:26:17 $
%include	/usr/lib/rpm/macros.php
%define		_class		Image
%define		_subclass	Transform
%define		_status		alpha
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - standard interface to manipulate images using different libraries
Summary(pl):	%{_pearname} - standardowy interfejs do manipulacji rysunkami przy uyciu rnych bibliotek
Name:		php-pear-%{_pearname}
Version:	0.9.0
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	d72d28211e257bdb1b8e25adbbd0aeec
Patch0:		%{name}-IM-patches.patch
URL:		http://pear.php.net/package/Image_Transform/
BuildRequires:	rpm-php-pearprov >= 4.4.2-12
Requires:	php-common >= 3:4.3.0
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package was written to provide a simpler and cross-library
interface to doing image transformations and manipulations.

It provides :
 - support for GD, ImageMagick, Imagick and NetPBM,
 - files related functions,
 - addText,
 - Scale (by length, percentage, maximum X/Y),
 - Resize,
 - Rotate (custom angle),
 - Add border (soon),
 - Add shadow (soon).

In PEAR status of this package is: %{_status}.

%description -l pl
Pakiet zosta zrobiony, aby zapewni prosty interfejs do rnych
bibliotek pozwalajcy na transformacje i manipulacje rysunkami.

Dostarcza:
 - wsparcie dla GD, ImageMagick, Imagick oraz NetPBM,
 - funkcje zwizane z plikami,
 - addText,
 - skalowanie (do wielkoci, procentowe, maksymalne X/Y),
 - zmiana wielkoci,
 - obroty (rne kty),
 - dodanie brzegw (wkrtce),
 - dodanie cienia (wkrtce).

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
cd ./%{php_pear_dir}/%{_class}/%{_subclass}
%patch0 -p2

# kill compat functions and up php version requirement to 4.3.0
# besides, these files are not referenced from this package
cd Driver
rm -f image_type_to_mime_type.php IMAGETYPE.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Image_Transform.spec,v $
Revision 1.20  2005/11/20 16:26:17  glen
- rel 2

Revision 1.19  2005/10/06 17:53:39  glen
- kill compat functions at the price of increasing php version requirement to 4.3.0

Revision 1.18  2005/10/06 17:44:55  glen
- updated to 0.9.0

Revision 1.17  2005/10/05 20:11:06  glen
- rel 3

Revision 1.16  2005/10/03 13:49:19  glen
- sed 4.0 already required by rpm-php-pearprov >= 4.4.2-12

Revision 1.15  2005/09/27 21:57:40  glen
- new pear packaging

Revision 1.14  2005/06/15 10:55:11  glen
- add thumbnail, addBorder, setProfile methods to IM driver
- add patch for bug #599

Revision 1.13  2004/12/03 22:17:03  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.12  2004/05/30 13:13:50  adamg
- fixed english information about status of the package

Revision 1.11  2004/01/01 11:17:00  adamg
- updated to 0.8
- removed -cosmetic.patch
- removed %doc

Revision 1.10  2003/10/07 20:55:14  adamg
- do not use macros in URL

Revision 1.9  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.8  2003/06/14 09:23:39  adamg
- cosmetics

Revision 1.7  2003/06/03 20:43:57  adamg
- adapterized

Revision 1.6  2003/05/28 08:58:40  adamg
- massive attack: added source0-md5

Revision 1.5  2003/05/25 06:25:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/01/02 23:25:55  blues
- added status info

Revision 1.3  2002/10/14 23:44:22  misto
- new rpm-php-requires/provides scripts
- release 3

Revision 1.2  2002/10/11 16:20:07  misto
- typo
- release 2

Revision 1.1  2002/09/13 12:10:23  blues
- initial release - STBR
